"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DownArrow = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var downArrow_svg_1 = __importDefault(require("../assets/svg/downArrow.svg"));
var react_svg_1 = require("react-svg");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var theme_1 = require("../theme");
var powerhooks_1 = require("powerhooks");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme) { return ({
        "root": {
            "border": "solid " + (theme.isDarkModeEnabled
                ? theme.colors.palette.light.main
                : theme.colors.palette.dark.main) + " 2px",
            "padding": 10,
            "borderRadius": "50%",
            "& svg": {
                "fill": theme.isDarkModeEnabled
                    ? theme.colors.palette.light.main
                    : theme.colors.palette.dark.main,
                "position": "relative",
                "top": 2,
            },
        },
    }); }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.DownArrow = react_1.memo(function (props) {
    var className = props.className;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({}).classNames;
    return jsx_runtime_1.jsx(react_svg_1.ReactSVG, { className: tss_react_1.cx(className, classNames.root), src: downArrow_svg_1.default }, void 0);
});
//# sourceMappingURL=DownArrow.js.map