/// <reference types="react" />
declare namespace BackgroundProps {
    type Image = {
        type: "image";
        url: string;
    };
    type Color = {
        type: "color";
        color: string;
    };
}
declare namespace ThumbNail {
    type Common = {
        background?: BackgroundProps.Color | BackgroundProps.Image;
        width?: string | number;
        height?: string | number;
        className?: string;
    };
    type Small = Common & {
        type: "small";
        href?: string;
        title?: string;
    };
    type Large = Common & {
        type: "large";
        footer?: {
            title?: string;
            subTitle?: string;
            height?: string | number;
        };
        button?: {
            title: string;
            href: string;
            color?: string;
            backgroundColor?: string;
        };
    };
}
export declare type ThumbNailProps = ThumbNail.Large | ThumbNail.Small;
export declare const ThumbNail: import("react").MemoExoticComponent<(props: ThumbNailProps) => JSX.Element>;
export {};
