"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThumbNail = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var react_1 = require("react");
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var Typography_1 = require("onyxia-ui/Typography");
var tss_react_1 = require("tss-react");
var Button_1 = require("./Button");
var theme_1 = require("../theme");
var powerhooks_1 = require("powerhooks");
var getUseClassNames = function () {
    var createUseClassNames = theme_1.getThemeApi().createUseClassNames;
    var useClassNames = createUseClassNames()(function (theme, _a) {
        var _b;
        var thumbNail = _a.thumbNail;
        return ({
            "root": {
                "borderRadius": 16,
                "cursor": thumbNail.type === "small" ? "pointer" : undefined,
                "height": (function () {
                    if (thumbNail.height !== undefined) {
                        return thumbNail.height;
                    }
                    return thumbNail.type === "small" ? 280 : 563;
                })(),
                "width": (function () {
                    if (thumbNail.width !== undefined) {
                        return thumbNail.width;
                    }
                    return thumbNail.type === "small" ? 557 : 412;
                })(),
            },
            "tagWithBackground": {
                "background": (function () {
                    if (thumbNail.background === undefined) {
                        return (function () {
                            if (thumbNail.type === "small") {
                                return theme.isDarkModeEnabled
                                    ? theme.colors.palette.dark.greyVariant1
                                    : theme.colors.palette.light.greyVariant1;
                            }
                            return theme.isDarkModeEnabled
                                ? theme.colors.palette.dark.greyVariant3
                                : theme.colors.palette.light.greyVariant3;
                        })();
                    }
                    if (thumbNail.background.type === "color") {
                        return thumbNail.background.color;
                    }
                    return "url(" + thumbNail.background.url + ") no-repeat center";
                })(),
            },
            "small": {
                "& a": {
                    "width": "100%",
                    "height": "100%",
                    "display": "flex",
                    "justifyContent": "center",
                    "alignItems": "center",
                },
                "backgroundSize": ((_b = thumbNail.background) === null || _b === void 0 ? void 0 : _b.type) === "image" ? "cover" : undefined,
            },
            "large": {
                "display": "flex",
                "flexDirection": "column",
                "justifyContent": "space-between",
                "overflow": "hidden",
            },
            "largeThumbNailFooter": {
                "height": (function () {
                    if (thumbNail.footerHeight === undefined) {
                        return 161;
                    }
                    return thumbNail.footerHeight;
                })(),
                "backgroundColor": theme.isDarkModeEnabled
                    ? theme.colors.palette.dark.greyVariant1
                    : undefined,
                "paddingLeft": theme.spacing(3),
                "paddingRight": theme.spacing(3),
                "& h5": {
                    "marginTop": theme.spacing(2),
                    "marginBottom": theme.spacing(1.25),
                },
            },
            "largeThumbNailHeader": {
                "flex": 1,
                "width": "100%",
                "margin": 0,
            },
            "largeThumbNailButtonWrapper": {
                "display": "flex",
                "justifyContent": "flex-end",
                "& button": {
                    "alignSelf": "right",
                    "color": thumbNail.buttonColor === undefined
                        ? "unset !important"
                        : thumbNail.buttonColor + " !important",
                    "borderColor": "unset !important",
                    "backgroundColor": thumbNail.buttonBackgroundColor === undefined
                        ? "unset !important"
                        : thumbNail.buttonBackgroundColor + " !important",
                    "border": thumbNail.buttonBackgroundColor === undefined ? undefined : "unset !important",
                },
                "paddingTop": theme.spacing(2),
                "paddingRight": theme.spacing(2),
            },
        });
    }).useClassNames;
    return { useClassNames: useClassNames };
};
exports.ThumbNail = react_1.memo(function (props) {
    var _a, _b, _c;
    var className = props.className, height = props.height, width = props.width, background = props.background, type = props.type;
    var useClassNames = powerhooks_1.useGuaranteedMemo(function () { return getUseClassNames(); }, []).useClassNames;
    var classNames = useClassNames({
        "thumbNail": {
            background: background,
            height: height,
            width: width,
            type: type,
            "footerHeight": props.type === "large" ? (_a = props.footer) === null || _a === void 0 ? void 0 : _a.height : undefined,
            "buttonBackgroundColor": props.type === "large" ? (_b = props.button) === null || _b === void 0 ? void 0 : _b.backgroundColor : undefined,
            "buttonColor": props.type === "large" ? (_c = props.button) === null || _c === void 0 ? void 0 : _c.color : undefined,
        },
    }).classNames;
    return props.type === "small" ? (jsx_runtime_1.jsx("div", __assign({ className: tss_react_1.cx(classNames.tagWithBackground, classNames.root, classNames.small, className) }, { children: props.title && (jsx_runtime_1.jsx(Link_1.default, __assign({ href: props.href }, { children: jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h5" }, { children: props.title }), void 0) }), void 0)) }), void 0)) : (jsx_runtime_1.jsxs("div", __assign({ className: tss_react_1.cx(classNames.large, classNames.root, className) }, { children: [jsx_runtime_1.jsx("div", __assign({ className: tss_react_1.cx(classNames.tagWithBackground, classNames.largeThumbNailHeader) }, { children: jsx_runtime_1.jsx("div", __assign({ className: classNames.largeThumbNailButtonWrapper }, { children: props.button && jsx_runtime_1.jsx(Button_1.Button, __assign({ href: props.button.href }, { children: props.button.title }), void 0) }), void 0) }), void 0),
            props.footer && (jsx_runtime_1.jsxs("div", __assign({ className: classNames.largeThumbNailFooter }, { children: [props.footer.title && jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h5" }, { children: props.footer.title }), void 0),
                    props.footer.subTitle && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "subtitle1" }, { children: props.footer.subTitle }), void 0))] }), void 0))] }), void 0));
});
//# sourceMappingURL=ThumbNail.js.map